commit 7e0649ac0fab8e0673e3eba8d357f1a21463ae0f
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Sep 8 00:30:07 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 346d3ce6907..e8f2bd3ba1b 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240907
+20240908
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 4fce475fab5..5eb401ffb82 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,10 @@
+2024-09-07  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/116567
+	* pt.cc (tsubst_lambda_expr): For a deferred-substitution lambda,
+	trim the augmented template arguments to match the template depth
+	of the lambda.
+
 2024-09-05  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 736537b0cf0..2c0a0302e93 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,8 @@
+2024-09-07  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/116567
+	* g++.dg/cpp2a/lambda-targ7.C: New test.
+
 2024-09-05  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:

